Subject: Re: wishlist bugreport: make limit configurable for do_fmt_merge_msg (merge.log)

From: Ramkumar Ramachandra <[email-masked]>
Date: Fri, 20 Aug 2010 14:49:28 +0530

Hi Johannes,

Johannes Sixt writes:
> Am 8/20/2010 10:16, schrieb Jonathan Nieder:
> > This also provides --log-limit=0 / "[merge] loglimit = 0" to not limit
> > the number of commits summarized at all, which I would expect to
> ...
> >  [verse]
> > -'git fmt-merge-msg' [--log | --no-log] <$GIT_DIR/FETCH_HEAD
> > -'git fmt-merge-msg' [--log | --no-log] -F <file>
> > +'git fmt-merge-msg' [--log | --no-log] [--log-limit=<n>] <$GIT_DIR/FETCH_HEAD
> > +'git fmt-merge-msg' [--log | --no-log] [--log-limit=<n>] -F <file>
> 
> Do we need --log-limit? Why not just --log=42 and --no-log equals --log=0?
> 
> Ditto for the config option:
> 
>   merge.log=42
>   merge.log=0

Ah, just when I was about to post the series. Excellent idea! I'll
drop Jonathan's patch and fixup the series to do this in a few
minutes.

> and for backwards compatibility:
> 
>   merge.log=false  ===  merge.log=0
>   merge.log=true   ===  merge.log=20

I'll use git_config_bool_or_int for this -- we've traded off the
ability to say "infinite" though.

-- Ram